<?
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

checkLogin('login.php');


date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}


$id_grupo = $_POST['id_grupo'];
$id_funcionalidade = $_POST['id_funcionalidade'];

/*
echo "<br>" . $id_grupo;
echo "<pre>";
print_r($id_funcionalidade);
echo "</pre>";
*/

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

  // Remove as funcionalidades do grupo para não houver erro de FK
  $ok_del = grupoFuncionalidadeDelete($id_grupo);

  $ok_ins = grupoFuncionalidadeInsert($id_grupo, $id_funcionalidade);

  echo "<br>DEL $ok_del";
  echo "<br>INS $ok_ins";
}


function grupoFuncionalidadeDelete($p_id_grupo){
  global $conexao;
  $ok = false;
  $sql = 'delete from erpc_modulos_funcionalidades where id_modulo = ?';

  $ok = _prepareAndExecute($sql, array($p_id_grupo), $error);
  return $ok;
}

// insere novo módulo
function grupoFuncionalidadeInsert($p_id_grupo, $p_valores, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_modulos_funcionalidades(id_modulo,id_funcionalidade,st_ativo)values(?,?,?)';

  foreach ($p_valores as $key => $value) {
    $values = array();
    $values[] = $p_id_grupo;
    $values[] = $value;
    $values[] = 1;
    _prepareAndExecute($sql, $values, $error);
  }

  //addMessage("Inserido com Sucesso!" . count($p_valores));
  addMessage("Inserido com Sucesso!");
  return true;
}

header('Location:erpc_modulo_funcionalidade_edit.php');

?>
